## org.eclipse.datatools.connectivity.oda.design
Enum ExpressionVariableType

    java.lang.Object
      java.lang.Enum<ExpressionVariableType>
          org.eclipse.datatools.connectivity.oda.design.ExpressionVariableType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExpressionVariableType>, org.eclipse.emf.common.util.Enumerator

    public enum ExpressionVariableType

extends java.lang.Enum<ExpressionVariableType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Expression Variable Type', and utility methods for working with them. The type of a filter expression variable.

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getExpressionVariableType()`

Enum Constant Summary
`INSTANCE_OF` The 'Instance Of' literal object.
`QUERY_EXPRESSION` The 'Query Expression' literal object.
`RESULT_SET_COLUMN` The 'Result Set Column' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `INSTANCE_OF_VALUE` The 'Instance Of' literal value.
`static int` `QUERY_EXPRESSION_VALUE` The 'Query Expression' literal value.
`static int` `RESULT_SET_COLUMN_VALUE` The 'Result Set Column' literal value.
`static java.util.List<ExpressionVariableType>` `VALUES` A public read-only list of all the 'Expression Variable Type' enumerators.

Method Summary
`static ExpressionVariableType` `get(int value)` Returns the 'Expression Variable Type' literal with the specified integer value.
`static ExpressionVariableType` `get(java.lang.String literal)` Returns the 'Expression Variable Type' literal with the specified literal value.
`static ExpressionVariableType` `getByName(java.lang.String name)` Returns the 'Expression Variable Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ExpressionVariableType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExpressionVariableType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RESULT_SET_COLUMN

    public static final ExpressionVariableType RESULT_SET_COLUMN

  The 'Result Set Column' literal object.

  See Also:
    `RESULT_SET_COLUMN_VALUE`

### INSTANCE_OF

    public static final ExpressionVariableType INSTANCE_OF

  The 'Instance Of' literal object.

  See Also:
    `INSTANCE_OF_VALUE`

### QUERY_EXPRESSION

    public static final ExpressionVariableType QUERY_EXPRESSION

  The 'Query Expression' literal object.

  See Also:
    `QUERY_EXPRESSION_VALUE`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### RESULT_SET_COLUMN_VALUE

    public static final int RESULT_SET_COLUMN_VALUE

  The 'Result Set Column' literal value.

  If the meaning of 'Result Set Column' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESULT_SET_COLUMN`, Constant Field Values

### INSTANCE_OF_VALUE

    public static final int INSTANCE_OF_VALUE

  The 'Instance Of' literal value.

  If the meaning of 'Instance Of' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INSTANCE_OF`, Constant Field Values

### QUERY_EXPRESSION_VALUE

    public static final int QUERY_EXPRESSION_VALUE

  The 'Query Expression' literal value.

  If the meaning of 'Query Expression' literal object isn't clear, there really should be more of a description here...

  See Also:
    `QUERY_EXPRESSION`, Constant Field Values

### VALUES

    public static final java.util.List<ExpressionVariableType> VALUES

  A public read-only list of all the 'Expression Variable Type' enumerators.

Method Detail

### values

    public static final ExpressionVariableType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ExpressionVariableType c : ExpressionVariableType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ExpressionVariableType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ExpressionVariableType get(java.lang.String literal)

  Returns the 'Expression Variable Type' literal with the specified literal value.

### getByName

    public static ExpressionVariableType getByName(java.lang.String name)

  Returns the 'Expression Variable Type' literal with the specified name.

### get

    public static ExpressionVariableType get(int value)

  Returns the 'Expression Variable Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ExpressionVariableType>`